> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get crypto wallet transactions



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/wallets/crypto/{walletId}/transactions
openapi: 3.1.0
info:
  title: FossaPay API
  description: >-
    FossaPay API for checkout wallets, master-wallet payouts, customer
    management, NGN wallets, crypto wallets, transfers, fees, banks, and
    webhooks.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api-production.fossapay.com
    description: Production server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/wallets/crypto/{walletId}/transactions:
    get:
      tags:
        - Crypto Wallets
      summary: Get crypto wallet transactions
      operationId: CryptoWalletsController_findTransactions
      parameters:
        - name: walletId
          in: path
          required: true
          description: >-
            FossaPay crypto wallet id (the UUID returned as data.id when the
            wallet is created). Do not use the Solana address or provider
            data.walletId here.
          schema:
            type: string
            format: uuid
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
        - name: transactionType
          in: query
          required: false
          schema:
            type: string
            enum:
              - deposit
              - withdrawal
              - p2p_internal
              - p2p_external
        - name: startDate
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: endDate
          in: query
          required: false
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Wallet transactions retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CryptoWalletTransactionsResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Wallet not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
components:
  schemas:
    CryptoWalletTransactionsResponse:
      type: object
      required:
        - status
        - statusCode
        - message
        - data
      properties:
        status:
          type: string
          enum:
            - success
            - error
        statusCode:
          type: integer
        message:
          type: string
        data:
          type: object
          required:
            - transactions
            - pagination
          properties:
            transactions:
              type: array
              items:
                $ref: '#/components/schemas/CryptoWalletTransaction'
            pagination:
              type: object
              required:
                - currentPage
                - totalPages
                - totalItems
                - itemsPerPage
                - hasNextPage
                - hasPrevPage
              properties:
                currentPage:
                  type: integer
                totalPages:
                  type: integer
                totalItems:
                  type: integer
                itemsPerPage:
                  type: integer
                hasNextPage:
                  type: boolean
                hasPrevPage:
                  type: boolean
              additionalProperties: true
          additionalProperties: true
      additionalProperties: true
    ApiError:
      type: object
      properties:
        status:
          oneOf:
            - type: string
            - type: boolean
        statusCode:
          type: integer
        message:
          type: string
        error:
          type: string
        code:
          type: string
        errors:
          type: object
          additionalProperties: true
      additionalProperties: true
    CryptoWalletTransaction:
      type: object
      properties:
        id:
          type: string
        reference:
          type: string
        externalReference:
          type: string
        transactionType:
          type: string
        status:
          type: string
        tokenAmount:
          type: string
        tokenSymbol:
          type: string
        cryptoAssetStatus:
          type:
            - string
            - 'null'
          enum:
            - supported
            - unsupported
            - null
          description: >-
            Unsupported means the token was received on-chain but is not
            spendable through FossaPay.
        tokenAddress:
          type: string
        tokenDecimals:
          type: integer
        senderAddress:
          type: string
        recipientAddress:
          type: string
        transactionHash:
          type:
            - string
            - 'null'
        explorerLink:
          type:
            - string
            - 'null'
        blockchain:
          type: string
        sourceWalletAddress:
          type: string
        recipientWalletAddress:
          type: string
        sourceWalletId:
          type:
            - string
            - 'null'
        recipientWalletId:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      additionalProperties: true
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````